Functions
Functions
BLE Services » Phone Alert Status Service Client (PASS_C)
Collaboration diagram for Functions:

## Functions
sdk_err_t | pass_client_init (pass_c_evt_handler_t evt_handler)
| Register PASS Client event handler. More...
sdk_err_t | pass_c_disc_srvc_start (uint8_t conn_idx)
| Discovery Phone Alert Status Service on peer. More...
sdk_err_t | pass_c_alert_status_notify_set (uint8_t conn_idx, bool is_enable)
| Enable or disable peer Alert Status characteristic notify. More...
sdk_err_t | pass_c_ringer_set_notify_set (uint8_t conn_idx, bool is_enable)
| Enable or disable peer Ringer Setting characteristic notify. More...
sdk_err_t | pass_c_alert_status_read (uint8_t conn_idx)
| Read Alert Status characteristic value. More...
sdk_err_t | pass_c_ringer_set_read (uint8_t conn_idx)
| Read Ringer Setting characteristic value. More...
sdk_err_t | pass_c_ctrl_point_set (uint8_t conn_idx, uint8_t ctrl_value)
| Set Control Point characteristic value. More...

## Detailed Description

## Function Documentation

## ◆ pass_c_alert_status_notify_set()

sdk_err_t pass_c_alert_status_notify_set | ( | uint8_t | conn_idx,
|  | bool | is_enable
| ) |  |

Enable or disable peer Alert Status characteristic notify.

Parameters

  [in] | conn_idx | Index of connection.
  [in] | is_enable | True or false.

Returns
  Operation result.

## ◆ pass_c_alert_status_read()

sdk_err_t pass_c_alert_status_read | ( | uint8_t | conn_idx | ) |

Read Alert Status characteristic value.

Parameters

  [in] | conn_idx | Index of connection.

Returns
  Operation result.

## ◆ pass_c_ctrl_point_set()

sdk_err_t pass_c_ctrl_point_set | ( | uint8_t | conn_idx,
|  | uint8_t | ctrl_value
| ) |  |

Set Control Point characteristic value.

Parameters

  [in] | conn_idx | Index of connection.
  [in] | ctrl_value | Value of control point.

Returns
  Operation result.

## ◆ pass_c_disc_srvc_start()

sdk_err_t pass_c_disc_srvc_start | ( | uint8_t | conn_idx | ) |

Discovery Phone Alert Status Service on peer.

Parameters

  [in] | conn_idx | Index of connection.

Returns
  Operation result.

## ◆ pass_c_ringer_set_notify_set()

sdk_err_t pass_c_ringer_set_notify_set | ( | uint8_t | conn_idx,
|  | bool | is_enable
| ) |  |

Enable or disable peer Ringer Setting characteristic notify.

Parameters

  [in] | conn_idx | Index of connection.
  [in] | is_enable | True or false.

Returns
  Operation result.

## ◆ pass_c_ringer_set_read()

sdk_err_t pass_c_ringer_set_read | ( | uint8_t | conn_idx | ) |

Read Ringer Setting characteristic value.

Parameters

  [in] | conn_idx | Index of connection.

Returns
  Operation result.

## ◆ pass_client_init()

sdk_err_t pass_client_init | ( | pass_c_evt_handler_t | evt_handler | ) |

Register PASS Client event handler.

Parameters

  [in] | evt_handler | Phone Alert Status Service Client event handler.

Returns
  Result of initialization.